Bug 17060 - AWT: problems with drawImage and transparent images
Summary: AWT: problems with drawImage and transparent images
Status: RESOLVED FIXED
Alias: None
Product: classpath
Classification: Unclassified
Component: awt (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: pre-0.18
Assignee: Thomas Fitzsimmons
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-17 08:59 UTC by Norman Hendrich
Modified: 2005-10-16 01:54 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-07-07 13:35:46


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Norman Hendrich 2004-08-17 08:59:36 UTC
The attached testcase demonstrates incorrect handling of transparent 
images in AWT/GtK.

1. The upper button demonstrates that loading and drawing a transparent image
   almost works. However, while the background color is respected, the red
   line should not be overdrawn by the image.

2. In the second button, libgcj incorrectly uses the (default Gtk)
   background color instead of the expected background.

Download testcase from
tams-www.informatik.uni-hamburg.de/applets/jfig/archive/GcjTransparentImageButton.java
Comment 1 Thomas Fitzsimmons 2004-08-30 18:50:47 UTC
What's the license on this test case?  Can we include it in mauve?
Comment 2 Thomas Fitzsimmons 2005-07-20 19:40:29 UTC
Fixed by Sven de Marothy in GNU Classpath.  Closing.